com.hazelcast.spi.partition

## Enum MigrationEndpoint

- java.lang.Object
- - java.lang.Enum<MigrationEndpoint>
  - - com.hazelcast.spi.partition.MigrationEndpoint

- All Implemented Interfaces:
    Serializable, Comparable<MigrationEndpoint>

      public enum MigrationEndpoint
      extends Enum<MigrationEndpoint>

  Denotes endpoint of a migration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESTINATION` Denotes new owner of a partition replica
    `SOURCE` Denotes old owner of a partition replica

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MigrationEndpoint` | `readFrom(DataInput in)`
    `static MigrationEndpoint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MigrationEndpoint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `static void` | `writeTo(MigrationEndpoint endpoint, DataOutput out)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOURCE

          public static final MigrationEndpoint SOURCE

      Denotes old owner of a partition replica

    - #### DESTINATION

          public static final MigrationEndpoint DESTINATION

      Denotes new owner of a partition replica

  - ### Method Detail

    - #### values

          public static MigrationEndpoint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MigrationEndpoint c : MigrationEndpoint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MigrationEndpoint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### writeTo

          public static void writeTo(MigrationEndpoint endpoint,
                                     DataOutput out)
                              throws IOException

      Throws:
        `IOException`

    - #### readFrom

          public static MigrationEndpoint readFrom(DataInput in)
                                            throws IOException

      Throws:
        `IOException`

Copyright © 2019. All rights reserved.